POSIX on a 5.3 - a madman's dream? - SGI

This is a discussion on POSIX on a 5.3 - a madman's dream? - SGI ; Did anyone hear of POSIX implementation for IRIX 5.3? I'm particularily interested in libpthreads but for most: headers- even mpg123 has troubles compiling without shed.h....

+ Reply to Thread
Results 1 to 4 of 4

Thread: POSIX on a 5.3 - a madman's dream?

  1. POSIX on a 5.3 - a madman's dream?

    Did anyone hear of POSIX implementation for IRIX 5.3? I'm particularily
    interested in libpthreads but for most: headers- even mpg123 has
    troubles compiling without shed.h.


  2. Re: POSIX on a 5.3 - a madman's dream?

    On 31 May 2006 01:37:21 -0700, "Rambo" wrote:

    >Did anyone hear of POSIX implementation for IRIX 5.3? I'm particularily
    >interested in libpthreads but for most: headers- even mpg123 has
    >troubles compiling without shed.h.
    >

    It seems this can be fixed by removing the SET_RT define in mpg123.c.
    The next problem you will encounter is that the SGI audio code was
    updated to the 6.5 API and so will no longer build with previous
    versions.

    As an alternative to mpg123 you can use mpg321 (uses libmad etc.)
    which builds fine on Irix 5.3.

    If you need POSIX pthreads then GNU pth provides a userspace
    implementation that might help.

    All the above and more is available as packages here:
    http://jupiterrise.com/tgcware/irix5.3/stable/

    -tgc

  3. Re: POSIX on a 5.3 - a madman's dream?

    Tom Gravgaard Christensen wrote:

    >On 31 May 2006 01:37:21 -0700, "Rambo" wrote:
    >
    >>Did anyone hear of POSIX implementation for IRIX 5.3? I'm particularily
    >>interested in libpthreads but for most: headers- even mpg123 has
    >>troubles compiling without shed.h.
    >>

    >It seems this can be fixed by removing the SET_RT define in mpg123.c.
    >The next problem you will encounter is that the SGI audio code was
    >updated to the 6.5 API and so will no longer build with previous
    >versions.
    >
    >As an alternative to mpg123 you can use mpg321 (uses libmad etc.)
    >which builds fine on Irix 5.3.
    >
    >If you need POSIX pthreads then GNU pth provides a userspace
    >implementation that might help.
    >
    >All the above and more is available as packages here:
    >http://jupiterrise.com/tgcware/irix5.3/stable/
    >
    >-tgc


    Great, that is very cool.
    I'm trying to use my Indigos for something 'useful' from time
    to time, but it is hard to find apps to lpay with. Until now.

    I did a compile of mpg123 a couple of years ago. It's
    an older version but, worked on my Indigo R3K.
    http://www.planetoid.org/mp3/

    I also tried to compile mp3blaster to get a GUI but didn't
    succeed.

    /Bjorn


  4. Re: POSIX on a 5.3 - a madman's dream?

    > Great, that is very cool.
    > I'm trying to use my Indigos for something 'useful' from time
    > to time, but it is hard to find apps to lpay with. Until now.


    Likewise , it was usually just to play with system manager,
    NS4.08 and beta testing XMCD

    Now I could even try gtk

+ Reply to Thread